> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balance Sheet

> Returns ending account balances for each period between `start_date` and `end_date` (both inclusive), split by `cadence`. This is the recommended endpoint for balance sheet ending balances.

**How the date range works:** `start_date` is *not* the date balances are calculated *from*. Account balances are always accumulated from the beginning of time through each period end. `start_date`, `end_date`, and `cadence` only determine how the report is split into periods (columns).

**Retained earnings:** included as its own row.

**Breakdowns:** the report can be broken down or filtered by entity, department, and tag dimensions via `group_by` (pass `group` with a tag group ID when grouping by tag).



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /ca/api/get_balance_sheet
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /ca/api/get_balance_sheet:
    get:
      tags:
        - Financial Statements
      summary: Get Balance Sheet
      description: >-
        Returns ending account balances for each period between `start_date` and
        `end_date` (both inclusive), split by `cadence`. This is the recommended
        endpoint for balance sheet ending balances.


        **How the date range works:** `start_date` is *not* the date balances
        are calculated *from*. Account balances are always accumulated from the
        beginning of time through each period end. `start_date`, `end_date`, and
        `cadence` only determine how the report is split into periods (columns).


        **Retained earnings:** included as its own row.


        **Breakdowns:** the report can be broken down or filtered by entity,
        department, and tag dimensions via `group_by` (pass `group` with a tag
        group ID when grouping by tag).
      operationId: ca_api_get_balance_sheet_retrieve
      parameters:
        - in: query
          name: cadence
          schema:
            type: string
            enum:
              - daily
              - monthly
              - quarterly
              - weekly
              - yearly
            default: monthly
        - in: query
          name: end_date
          schema:
            type: string
            format: date
          description: >-
            Latest date (inclusive) for which to retrieve data. Defaults to end
            of current month
        - in: query
          name: entity
          schema:
            type: integer
          description: >-
            Entity ID(s) to scope the report. Can be repeated
            (?entity=1&entity=2) or JSON array
          explode: true
          style: form
        - in: query
          name: entity_rollup
          schema:
            type: boolean
            default: false
          description: If true, includes all data of children entities in consolidation
        - in: query
          name: group_by
          schema:
            type: string
        - in: query
          name: start_date
          schema:
            type: string
            format: date
          description: >-
            Earliest period (inclusive) shown in the report. NOTE: balances are
            NOT calculated starting from this date - account balances are always
            accumulated from the beginning of time through each period end.
            start_date, end_date, and cadence only control how the report is
            split into periods (columns). Defaults to six months ago.
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  balance_sheet:
                    type: array
                    items:
                      type: object
                      properties:
                        account_id:
                          type: integer
                        account_name:
                          type: string
                        account_number:
                          type: string
                        hierarchy:
                          type: array
                          items:
                            type: string
                        YYYY-MM-DD:
                          type: object
                          properties:
                            ending_balance:
                              type: number
                  start_date:
                    type: string
                    format: date
                  end_date:
                    type: string
                    format: date
                  cadence:
                    type: string
                  headers:
                    type: object
              examples:
                Example:
                  value:
                    balance_sheet:
                      - account_id: '12172'
                        account_name: Bill.com Money Out Clearing
                        account_number: '111000'
                        hierarchy:
                          - ASSET
                          - '12093'
                          - '12172'
                        2022-11-01_Jupiter Consulting, LLC: 5.73
                        2022-11-01_Total: 5.36
          description: ''
      security:
        - knoxApiToken: []
components:
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````